CREATE TABLE ar_autocash_rules_ (
    AUTOCASH_RULE_ID         NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    AUTOCASH_HIERARCHY_ID    NUMBER(18, 0) ,
    RULE_SEQUENCE            NUMBER(3, 0)  ,
    AUTOCASH_RULE            VARCHAR2(120) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(600) ,
    ATTRIBUTE2               VARCHAR2(600) ,
    ATTRIBUTE3               VARCHAR2(600) ,
    ATTRIBUTE4               VARCHAR2(600) ,
    ATTRIBUTE5               VARCHAR2(600) ,
    ATTRIBUTE6               VARCHAR2(600) ,
    ATTRIBUTE7               VARCHAR2(600) ,
    ATTRIBUTE8               VARCHAR2(600) ,
    ATTRIBUTE9               VARCHAR2(600) ,
    ATTRIBUTE10              VARCHAR2(600) ,
    ATTRIBUTE11              VARCHAR2(600) ,
    ATTRIBUTE12              VARCHAR2(600) ,
    ATTRIBUTE13              VARCHAR2(600) ,
    ATTRIBUTE14              VARCHAR2(600) ,
    ATTRIBUTE15              VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    SET_ID                   NUMBER(18, 0) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    AUTOCASH_RULE_ID         NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    AUTOCASH_HIERARCHY_ID    NUMBER(18, 0) ,
    RULE_SEQUENCE            NUMBER(3, 0)  ,
    AUTOCASH_RULE            VARCHAR2(120) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(600) ,
    ATTRIBUTE2               VARCHAR2(600) ,
    ATTRIBUTE3               VARCHAR2(600) ,
    ATTRIBUTE4               VARCHAR2(600) ,
    ATTRIBUTE5               VARCHAR2(600) ,
    ATTRIBUTE6               VARCHAR2(600) ,
    ATTRIBUTE7               VARCHAR2(600) ,
    ATTRIBUTE8               VARCHAR2(600) ,
    ATTRIBUTE9               VARCHAR2(600) ,
    ATTRIBUTE10              VARCHAR2(600) ,
    ATTRIBUTE11              VARCHAR2(600) ,
    ATTRIBUTE12              VARCHAR2(600) ,
    ATTRIBUTE13              VARCHAR2(600) ,
    ATTRIBUTE14              VARCHAR2(600) ,
    ATTRIBUTE15              VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    SET_ID                   NUMBER(18, 0) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CONSTRAINT pk_ar_autocash_rules_ PRIMARY KEY (AUTOCASH_RULE_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, AUTOCASH_RULE_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
